## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate io-uring

Name:           rust-io-uring
Version:        0.6.3
Release:        %autorelease
Summary:        Low-level io_uring userspace interface for Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/io-uring
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature for making syscalls directly (not available on all arches)
# * drop feature for regenerating bindings at build-time;
#   otherwise kernel header changes frequently break builds of this crate
Patch:          io-uring-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
The low-level `io_uring` userspace interface for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_safety-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_safety-devel %{_description}

This package contains library source intended for building other packages which
use the "io_safety" feature of the "%{crate}" crate.

%files       -n %{name}+io_safety-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifnarch %{ix86}
# * hardcoded struct layout / alignment tests from bindgen are broken on i686
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sun Feb 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-1
- Update to version 0.6.3; Fixes RHBZ#2262111

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Update to version 0.6.2; Fixes RHBZ#2239292

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1; Fixes RHBZ#2231581

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2185420

* Mon Feb 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.13-1
- Update to version 0.5.13; Fixes RHBZ#2171356

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.12-1
- Update to version 0.5.12; Fixes RHBZ#2156552

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.10-1
- Update to version 0.5.10; Fixes RHBZ#2154497

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.9-1
- Update to version 0.5.9; Fixes RHBZ#2139872

* Fri Oct 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Initial import (#2138378)
## END: Generated by rpmautospec
